Powered by coANDco UK

Cacti (Monitoring Tool) Howto

From How2s

If you're running debian or any of its derivates, you can easily install cacti via aptitude. How to install cacti can be found in the cacti documentation.

aptitude install cacti

Select: - apache2


Troubleshooting:

If you are not getting any graphs and errors similar to

ERROR: I don't understand ':48:25 To 2010/01/13 12:48:25\c' in command: 'COMMENT:From 2010/01/12 12:48:25 To 2010/01/13 12:48:25\c'.
ERROR: I don't understand ':48:25 To 2010/01/13 12:48:25\c' in command: 'COMMENT:From 2010/01/12 12:48:25 To 2010/01/13 12:48:25\c'.
ERROR: I don't understand ':48:25 To 2010/01/13 12:48:25\c' in command: 'COMMENT:From 2010/01/12 12:48:25 To 2010/01/13 12:48:25\c'.
ERROR: I don't understand ':58:45 To 2010/01/13 12:58:45\c' in command: 'COMMENT:From 2010/01/12 12:58:45 To 2010/01/13 12:58:45\c'.


in the Apache Log, you're most likely using the wrong version of RRD in the settings. Fix this by going to your cacti settings (from the main dashboard menu under "Configurations", NOT from the top right button) and change the the setting "RRDTool Utility Version" to "RRDTool 1.2.x"

That should fix this problem.

Please check out our sponsor, thanks to whom How2s.org is FREE: